Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsTypedName

    java.lang.Object
      |
      +--com.novell.service.nds.NdsTypedName

public class NdsTypedName
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to attribute values of the TypedName syntax. It is used for attributes whose values represent a level and an interval associated with an object. This syntax names an NDS object and attaches two numeric values to it:

1. The level of the attribute indicates the priority.
2. The interval indicates the frequency of reference.

The objectName or Distinguished Name identifies the NDS object referred to by the Typed Name. The values of level and interval are user-assigned and relative. To be effective they must be implemented by the user. The user can use them to implement iterative intervals or to enforce priorities.

In comparisons and searches using equality, all three parts of the field must be equal for attributes to be equal.

Matching Rules: Equality

See Also:
  `NdsSyntaxId`

Constructor Summary
`NdsTypedName(java.lang.String objectName, long level, long interval)` Constructs an NdsTypedName object based on the specified objectName, level, and interval parameters.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`long` | `getInterval()` Returns the interval stored as a long value in the object data member.
`long` | `getLevel()` Returns the attribute level stored as a long value in the object data member.
`int` | `getNdsSyntaxId()` Returns the int that represents the NDS syntax ID.
`java.lang.String` | `getObjectName()` Returns the object name stored as a String value in the object data member.
`` | `getValue(java.lang.String compositeId)` Returns a SchemaValue object based on the given passed-in string containing the element value.
`java.util.Enumeration` | `getValueIds()` Returns an enumeration of composit IDs.
`java.util.Enumeration` | `getValues()` Returns an enumeration of the elements in this composite.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates a string representation of the object.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsTypedName

    public NdsTypedName(java.lang.String objectName,
                        long level,
                        long interval)

  Constructs an NdsTypedName object based on the specified objectName, level, and interval parameters. The level of the attribute indicates the priority, and the interval represents the number of seconds between certain events or the frequency of reference.
  Parameters:
    `objectName` - The object name stored as a String value.
    `level` - The level of the attribute indicating the priority stored as an long value.
    `interval` - The interval indicating the frequency of reference stored as an long value.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the TypedName syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValue

    public  getValue(java.lang.String compositeId)

  Returns a SchemaValue object based on the given passed-in string containing the element value. The SchemaValue object is a Java language data type.
  Specified by:
    getValue in interface
  Parameters:
    `compositeId` - The passed-in string containing the element value.
  Returns:
    The SchemaValue object containing the objectName, level, and interval, or NULL.

### getValueIds

    public java.util.Enumeration getValueIds()

  Returns an enumeration of composit IDs.
  Specified by:
    getValueIds in interface
  Returns:
    An enumeration of composite IDs.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of the elements in this composite.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of the composite elements (objectName, level and interval).

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the Typed Name syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents the NDS syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The Typed Name syntax supports only the equality matching rule.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.

### toString

    public java.lang.String toString()

  Generates a string representation of the object. It returns a string that textually represents the object. The result should be a concise but informative representation that is easy to read.
  Returns:
    The String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getObjectName

    public java.lang.String getObjectName()

  Returns the object name stored as a String value in the object data member.
  Returns:
    The object name as a String value.

### getLevel

    public long getLevel()

  Returns the attribute level stored as a long value in the object data member.
  Returns:
    The attribute level as a long value.

### getInterval

    public long getInterval()

  Returns the interval stored as a long value in the object data member.
  Returns:
    The interval as a long value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD